# stream_context_set_option

(PHP 4 >= 4.3.0, PHP 5, PHP 7, PHP 8)

stream_context_set_option — Sets an option for a stream/wrapper/context

### Beschreibung

stream_context_set_option(
resource `$stream_or_context`,
string `$wrapper`,
string `$option_name`,
mixed `$value`
): bool

The following alternative signature is deprecated as of PHP 8.4.0, use stream_context_set_options() instead.

stream_context_set_option(resource `$stream_or_context`, array `$options`): bool

Sets an option on the specified context. `value` is set to `option` for `wrapper`

### Parameter-Liste

`stream_or_context`

  The stream or context resource to apply the options to.

`wrapper`

  The name of the wrapper (which may be different than the protocol). Refer to context options and parameters for a listing of stream options.

`option_name`

  The name of the option.

`value`

  The value of the option.

`options`

  The options to set for `stream_or_context`.

  > Hinweis:

  > `options` must be an associative array of associative arrays in the format `$arr['wrapper']['option'] = $value`.

  > Refer to context options and parameters for a listing of stream options.

### Rückgabewerte

Gibt bei Erfolg `true` zurück. Bei einem Fehler wird `false` zurückgegeben.

### Changelog

Version | Beschreibung
--- | ---
8.4.0 | The alternative 2-parameter signature is now deprecated. Use stream_context_set_options() instead.

`↑` and `↓` to navigate • `Enter` to select • `Esc` to close • `/` to open